# Webhook

**Event data**

<table><thead><tr><th width="245">Parameter</th><th width="142.33333333333331">Data Type</th><th>Description</th></tr></thead><tbody><tr><td>refundRequestId</td><td>String</td><td>Refund/Remitout request id</td></tr><tr><td>type</td><td>String</td><td>Webhook type:<br>Default value "REFUND"</td></tr><tr><td>collectionTransId</td><td>String</td><td>Collection's TransactionId of current refund request</td></tr><tr><td>status</td><td>String</td><td>Refund request status, Include:<br>PENDING: Refund request is waiting for approval.<br>APPROVED: Refund request was approved.<br>REJECTED: Refund request was rejected.</td></tr><tr><td>bankSwiftCode</td><td>String</td><td>Refund/Remitout bank swift code.</td></tr><tr><td>bankAccountNumber</td><td>String</td><td>Refund to bank acount number</td></tr><tr><td>bankAccountName</td><td>String</td><td>Refund to bank acount name.</td></tr><tr><td>amount</td><td>Number</td><td>Amount of refund request in VND</td></tr><tr><td>note</td><td>String</td><td>Note for refund request</td></tr><tr><td>secureHash</td><td><p>String</p><p>(Base64)</p></td><td>Use SHA256 to hash the above parameters (Not include optional params) (sort the key by Alphabet order) + Secret Key (configured on Merchant Portal, in the Collection service menu)</td></tr></tbody></table>

### Sample data

```json
{
  "requestId": "REFUND-443826686072",
  "type": "REFUND",
  "collectionTransId": "FT24323L4AAA",
  "amount": "150000",
  "bankSwiftCode": "SCBLSG22XXX",
  "bankAccountNumber": "0107201111",
  "bankAccountName": "STANDARD CHARTERED BANK TEST ACCOUNT",
  "status": "PENDING",
  "note": "Waiting for approval",
  "secureHash": "1CBpykYjBbeMKj7qQwEsuXH7Ekj8g726/BMNcLN5eIs="
}
```

With the secretKey "SUMTING", the string used to create secureHash will be:

```
150000STANDARD CHARTERED BANK TEST ACCOUNT0107201111SCBLSG22XXXFT24323L4AAAWaiting for approvalREFUND-443826686072PENDINGREFUNDSUMTING
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.neox.vn/docs/global/collections/refund-request-management/webhook.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
